Package org.opensaml.xmlsec.signature

# Interface PGPData

All Superinterfaces:
  `ElementExtensibleXMLObject`, `XMLObject`

All Known Implementing Classes:
  `PGPDataImpl`

public interface PGPData extends XMLObject, ElementExtensibleXMLObject
XMLObject representing XML Digital Signature, version 20020212, PGPData element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`PGPKeyID`
`getPGPKeyID()`
Get PGPKeyID child element.
`PGPKeyPacket`
`getPGPKeyPacket()`
Get PGPKeyPacket child element.
`void`
`setPGPKeyID(PGPKeyID newPGPKeyID)`
Set PGPKeyID child element.
`void`
`setPGPKeyPacket(PGPKeyPacket newPGPKeyPacket)`
Set PGPKeyPacket child element.

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getPGPKeyID

@Nullable PGPKeyID getPGPKeyID()
Get PGPKeyID child element.

Returns:
  the PGPKeyID child element

### setPGPKeyID

void setPGPKeyID(@Nullable PGPKeyID newPGPKeyID)
Set PGPKeyID child element.

Parameters:
  `newPGPKeyID` - the new PGPKeyID

### getPGPKeyPacket

@Nullable PGPKeyPacket getPGPKeyPacket()
Get PGPKeyPacket child element.

Returns:
  the PGPKeyPacket child element

### setPGPKeyPacket

void setPGPKeyPacket(@Nullable PGPKeyPacket newPGPKeyPacket)
Set PGPKeyPacket child element.

Parameters:
  `newPGPKeyPacket` - the new PGPKeyPacket